Katalog
List the battery models of the active organisation
GET
Any member. Ordered by name, then id. Archived models only with include_archived=true.
apiKeyheader
AutorisierungBearer <Token>Organisation API key sent as Authorization: Bearer bp_live_… (ADR-017). Accepted only by the
operations that list this scheme, with the scope in their x-api-key-scope.
limit?integerMaximum number of items to return.
Bereich
1 <= value <= 200Standard
50cursor?stringOpaque cursor from a previous page's next_cursor.
Länge
1 <= length <= 512include_archived?booleanStandard
falseOne page of battery models.
application/json- response
items*array<>next_cursor*|Cursor for the next page, or null when this is the last page.
Beispielanfrage
curl -X GET 'https://example.com/api/v1/battery-models'Beispielantwort
{ "items": [ { "archived_at": "2019-08-24T14:15:22Z", "category": "ev", "created_at": "2019-08-24T14:15:22Z", "gtin": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "row_version": 1, "sku": "string", "updated_at": "2019-08-24T14:15:22Z" } ], "next_cursor": "string"}